download_data(email, password, local_folder, proj_id) File "zhangliang.py", line 28, in download_data all_files = synapseutils.syncFromSynapse(syn, entity=project_id, path=local_folder) File "D:\anaconda3\lib\site-packages\synapseutils\sync.py", line 96, in syncFromSynapse files = sync_from_synapse.sync(entity, path, ifcollision, followLink) File "D:\anaconda3\lib\site-packages\synapseutils\sync.py", line 228, in sync root_folder_sync = self._sync_root(entity, path, ifcollision, followLink, progress) File "D:\anaconda3\lib\site-packages\synapseutils\sync.py", line 305, in _sync_root raise ValueError("File download failed during sync") from exception ValueError: File download failed during sync" />

Start downloading Exception in version check: HTTPSConnectionPool(host='raw.githubusercontent.com', port=443): Max retries exceeded with url: /Sage-Bionetworks/synapsePythonClient/master/synapseclient/synapsePythonClient (Caused by NewConnectionError(': Failed to establish a new connection: [Errno 11001] getaddrinfo failed')) Welcome, ! Downloading [####################]100.00% 378.8kB/378.8kB (102.4kB/s) raw.png Done... Downloading [####################]100.00% 769.0bytes/769.0bytes (374.9kB/s) instrument_instances.png Done... Downloading [####################]100.00% 349.6kB/349.6kB (281.2kB/s) raw.png Done... \ Downloaded 131.0MB (62.2kB/s)Traceback (most recent call last): File "D:\anaconda3\lib\site-packages\urllib3\response.py", line 302, in _error_catcher yield File "D:\anaconda3\lib\site-packages\urllib3\response.py", line 384, in read data = self._fp.read(amt) File "D:\anaconda3\lib\http\client.py", line 457, in read n = self.readinto(b) File "D:\anaconda3\lib\http\client.py", line 501, in readinto n = self.fp.readinto(b) File "D:\anaconda3\lib\socket.py", line 589, in readinto return self._sock.recv_into(b) File "D:\anaconda3\lib\ssl.py", line 1071, in recv_into return self.read(nbytes, buffer) File "D:\anaconda3\lib\ssl.py", line 929, in read return self._sslobj.read(len, buffer) ConnectionResetError: [WinError 10054] The remote host forcibly closed an existing connection.? During handling of the above exception, another exception occurred: Traceback (most recent call last): File "D:\anaconda3\lib\site-packages\requests\models.py", line 753, in generate for chunk in self.raw.stream(chunk_size, decode_content=True): File "D:\anaconda3\lib\site-packages\urllib3\response.py", line 436, in stream data = self.read(amt=amt, decode_content=decode_content) File "D:\anaconda3\lib\site-packages\urllib3\response.py", line 401, in read raise IncompleteRead(self._fp_bytes_read, self.length_remaining) File "D:\anaconda3\lib\contextlib.py", line 130, in __exit__ self.gen.throw(type, value, traceback) File "D:\anaconda3\lib\site-packages\urllib3\response.py", line 320, in _error_catcher raise ProtocolError('Connection broken: %r' % e, e) urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(10054, 'The remote host forcibly closed an existing connection.?', None, 10054, None)", ConnectionResetError(10054, 'The remote host forcibly closed an existing connection.?', None, 10054, None)) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "D:\anaconda3\lib\site-packages\synapseutils\sync.py", line 259, in _sync_file followLink=followLink, File "D:\anaconda3\lib\site-packages\synapseclient\client.py", line 713, in get return self._getWithEntityBundle(entityBundle=bundle, entity=entity, **kwargs) File "D:\anaconda3\lib\site-packages\synapseclient\client.py", line 829, in _getWithEntityBundle self._download_file_entity(downloadLocation, entity, ifcollision, submission) File "D:\anaconda3\lib\site-packages\synapseclient\client.py", line 891, in _download_file_entity downloadPath = self._downloadFileHandle(entity.dataFileHandleId, objectId, objectType, downloadPath) File "D:\anaconda3\lib\site-packages\synapseclient\client.py", line 1840, in _downloadFileHandle expected_md5=fileHandle.get('contentMd5')) File "D:\anaconda3\lib\site-packages\synapseclient\client.py", line 1881, in _download_from_url_multi_threaded multithread_download.download_file(self, request) File "D:\anaconda3\lib\site-packages\synapseclient\core\multithread_download\download_threads.py", line 232, in download_file downloader.download_file(download_request) File "D:\anaconda3\lib\site-packages\synapseclient\core\multithread_download\download_threads.py", line 297, in download_file self._write_chunks(request, completed_futures, transfer_status) File "D:\anaconda3\lib\site-packages\synapseclient\core\multithread_download\download_threads.py", line 372, in _write_chunks chunk_data = chunk_response.content File "D:\anaconda3\lib\site-packages\requests\models.py", line 831, in content self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b'' File "D:\anaconda3\lib\site-packages\requests\models.py", line 756, in generate raise ChunkedEncodingError(e) requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(10054, 'The remote host forcibly closed an existing connection.?', None, 10054, None)", ConnectionResetError(10054, 'The remote host forcibly closed an existing connection.?', None, 10054, None)) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "zhangliang.py", line 37, in download_data(email, password, local_folder, proj_id) File "zhangliang.py", line 28, in download_data all_files = synapseutils.syncFromSynapse(syn, entity=project_id, path=local_folder) File "D:\anaconda3\lib\site-packages\synapseutils\sync.py", line 96, in syncFromSynapse files = sync_from_synapse.sync(entity, path, ifcollision, followLink) File "D:\anaconda3\lib\site-packages\synapseutils\sync.py", line 228, in sync root_folder_sync = self._sync_root(entity, path, ifcollision, followLink, progress) File "D:\anaconda3\lib\site-packages\synapseutils\sync.py", line 305, in _sync_root raise ValueError("File download failed during sync") from exception ValueError: File download failed during sync

Created by Dorise

How to deal with this problem of the data downoad of robustmis2019, its runs as follows: page is loading…